Get application tech flags
GET
/api/v1/app/{appId}/policy/flags Get Tech Flags
This endpoint retrieves the technology flags set for this application. These flags are used to toggle the internal behavior of vulnerability checks executed during StackHawk security tests.
- Tech flag names are strings, formatted with a namespace delineated by periods (
.). For example,Language.Java.SpringandOS.MacOS. - Each tech flag falls under one of the following five categories:
DbLanguageOSSCMWS
Additional Information:
- Refer to the Update Tech Flags endpoint documentation for a comprehensive list of all available tech flags and their respective categories.
Requires
read:applicationpermission.
Path parameters
appIdstring · uuidrequiredUUID identifier for this StackHawk Application.
Response
OK
objectobjectBad Request
Unauthorized